# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so

%define sname PyQtPurchasing
%define qt5_minver 5.15.2

Name:           python-qt5-purchasing
Version:        5.15.6
Release:        %mkrel 2
Summary:        Set of Python bindings for The Qt Purchasing library
License:        GPLv3
Group:          Development/KDE and Qt
URL:            https://www.riverbankcomputing.com/software/pyqtpurchasing/
#https://www.riverbankcomputing.com/static/Downloads/PyQtPurchasing/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:        https://pypi.io/packages/source/p/pyqtpurchasing/%{sname}-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-qt5-devel >= %{version}
BuildRequires:  python3dist(sip)
BuildRequires:  python3dist(pyqt-builder)

BuildRequires:  cmake(Qt5Purchasing) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Core) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Gui) >= %{qt5_minver}
BuildRequires:  cmake(Qt5Widgets) >= %{qt5_minver}

%description
PyQtPurchasing is a set of Python bindings for The Qt Company's
Qt Purchasing library.
The bindings sit on top of PyQt5 and are implemented as a single module.

#------------------------------------------------------------

### python3-qt5

%define py3_name python3-qt5

%package -n     %{py3_name}-purchasing
Summary:        Python 3 bindings for PyQt 5 purchasing
Group:          Development/KDE and Qt
Requires:       %{py3_name}-core >= %{version}

%description -n %{py3_name}-purchasing
Python 3 bindings for PyQt 5 purchasing.

%files -n %{py3_name}-purchasing
%doc ChangeLog NEWS README.md
%{python3_sitearch}/PyQt5/QtPurchasing.*
%{python3_sitearch}/PyQt5/bindings/QtPurchasing
%{python3_sitearch}/PyQtPurchasing-%{version}.dist-info

#------------------------------------------------------------

%package -n     %{py3_name}-purchasing-qsci-api
Summary:        Python 3 bindings for PyQt 5 purchasing Qscintilla API
Group:          Development/KDE and Qt

%description -n %{py3_name}-purchasing-qsci-api
Python 3 bindings for PyQt 5 purchasing Qscintilla API.

%files -n %{py3_name}-purchasing-qsci-api
%dir %{_qt5_datadir}/qsci/
%dir %{_qt5_datadir}/qsci/api/
%dir %{_qt5_datadir}/qsci/api/python/
%{_qt5_datadir}/qsci/api/python/PyQtPurchasing.api

### END python3-qt5

#------------------------------------------------------------

%prep
%autosetup -p1 -n %{sname}-%{version}

%build
### Python 3 build:
sip-build \
  --no-make \
  --api-dir=%{_qt5_datadir}/qsci/api/python \
  --verbose
	
%make_build -C build CXXFLAGS="%{optflags} -fPIC \$(DEFINES)"

%install
### python 3 Install:
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/PyQt5/*.so ; do
test -x $i  || chmod a+rx $i
done


%changelog
* Fri Feb 28 2025 daviddavid <daviddavid> 5.15.6-2.mga10
+ Revision: 2153920
- rebuild for python 3.13

* Sun Jan 19 2025 daviddavid <daviddavid> 5.15.6-1.mga10
+ Revision: 2139880
- New version 5.15.6

* Fri Dec 08 2023 daviddavid <daviddavid> 5.15.5-2.mga10
+ Revision: 2015605
- rebuild for py3.12

* Wed Dec 28 2022 daviddavid <daviddavid> 5.15.5-1.mga9
+ Revision: 1927384
- New version 5.15.5

* Mon Mar 14 2022 papoteur <papoteur> 5.15.2-4.mga9
+ Revision: 1791377
- Use sip 6 for building instead of sip 4

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 5.15.2-3.mga9
+ Revision: 1778430
- rebuild for python-3.10

* Thu Mar 18 2021 daviddavid <daviddavid> 5.15.2-2.mga9
+ Revision: 1704317
- rebuild for python 3.9

* Sat Dec 05 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652956
- New version 5.15.2

* Sun Sep 13 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1625556
- new version: 5.15.1

* Thu Jun 25 2020 daviddavid <daviddavid> 5.15.0-2.mga8
+ Revision: 1599182
- rebuild with sip 4.19.23

* Thu Jun 04 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1590400
- new version: 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.0-2.mga8
+ Revision: 1545919
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 daviddavid <daviddavid> 5.14.0-1.mga8
+ Revision: 1485529
- New version 5.14.0

* Wed Sep 11 2019 daviddavid <daviddavid> 5.13.0-2.mga8
+ Revision: 1439854
- rebuild for python3.8
- drop python2 support

* Sun Jul 28 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1424688
- New version 5.13.0

* Sun Jul 28 2019 daviddavid <daviddavid> 5.12-3.mga8
+ Revision: 1424678
- fix/workaround -debug generation
- rebuild for new Qt5 path

* Mon Apr 01 2019 umeabot <umeabot> 5.12-2.mga7
+ Revision: 1384112
- Qt5 Rebuild

* Fri Feb 15 2019 daviddavid <daviddavid> 5.12-1.mga7
+ Revision: 1367131
- initial package python-qt5-purchasing

